//
//  FirstTimeViewController.swift
//  app
//
//  Created by Luis Quiñones  on 12/17/19.
//  Copyright © 2019 Luis Quiñones . All rights reserved.
//

import UIKit

class FirstTimeViewController: UIViewController {

    let emptyAlert = UIAlertController(title: "Nombre vacío", message: "Ingrese un nombre para continuar.", preferredStyle: .alert)
    
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        self.navigationController?.isNavigationBarHidden = true
        emptyAlert.addAction(UIAlertAction(title: "Ok", style: .default, handler: nil))
    }
    
    
    
    @IBOutlet weak var userName: UITextField!

    @IBAction func saveUser(_ sender: UIButton) {
        if userName.text?.isEmpty ?? true {
            self.present(emptyAlert, animated: true)
        } else {
            let defaults = UserDefaults.standard
            let user = userName.text
            defaults.set(user, forKey: "user")
            performSegue(withIdentifier: "firstTimeToHome", sender: self)
        }
    }
    

}
